%define soup_version 2.2.2
%define orbit2_version 2.9.8

%define eds_major 1.0

Summary: Backend data server for evolution
Name: evolution-data-server
Version: 1.0.4
Release: 3
License: GPL
Group: System Environment/Libraries
Source0: ftp://ftp.gnome.org/pub/gnome/sources/evolution-data-server/1.0/%{name}-%{version}.tar.bz2
#Patch1: evolution-data-server-1.0.2-fix-64-bit-build.patch
#Patch2: fix_contact_leaks.patch
Patch3: evolution-data-server-1.0.2-workaround-cal-backend-leak.patch
BuildRoot: %{_tmppath}/%{name}-root
Requires: libsoup >= %{soup_version}
Requires: ORBit2 >= %{orbit2_version}
Requires: libgnomeui, libgnome
BuildRequires: glib2-devel, gnome-vfs2-devel, GConf2-devel, openldap-devel
BuildRequires: intltool
BuildRequires: libsoup-devel >= %{soup_version}
BuildRequires: ORBit2-devel >= %{orbit2_version}
BuildRequires: libgnomeui-devel, bison, libgnome-devel, libtool

%description
The evolution-data-server package provides a unified backend for programs that work with contacts, tasks, and calendar information.

It was originally developed for Evolution (hence the name), but is now used by other packages.

%package devel
Summary: Development files for building against evolution-data-server
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libbonobo-devel
Requires: libgnome-devel

%description devel
Development files needed for building things which link against 
evolution-data-server.

%prep
%setup -q
#%patch1 -p1 -b .fix-64-bit-build
#%patch2 -p1 -b .fix_contact_leaks
%patch3 -p1 -b .workaround-cal-backend-leak

%build
export tagname=CC
CFLAGS="$RPM_OPT_FLAGS -fPIC"; export CFLAGS
%configure --with-openldap=yes
make LIBTOOL=/usr/bin/libtool

%install
rm -rf $RPM_BUILD_ROOT
export tagname=CC
make DESTDIR=$RPM_BUILD_ROOT LIBTOOL=/usr/bin/libtool install

# remove libtool archives for importers and the like
find $RPM_BUILD_ROOT/%{_libdir} -name '*.la' -exec rm {} \;
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.a

%find_lang %{name}-1.0

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}-1.0.lang
%defattr(-,root,root,-)
%doc README COPYING ChangeLog NEWS AUTHORS
%{_libdir}/bonobo/servers/*
%{_libdir}/*.so.*
%{_libexecdir}/evolution-data-server-%{eds_major}
%{_datadir}/evolution-data-server-%{eds_major}
%{_datadir}/idl/evolution-data-server-%{eds_major}

%files devel
%defattr(-,root,root,-)
%{_includedir}/evolution-data-server-%{eds_major}
%{_datadir}/gtk-doc/html/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon Feb 21 2005 David Malcolm <dmalcolm@redhat.com> - 1.0.4-3
- updated libsoup requirement from 2.2.1 to 2.2.2

* Mon Feb 21 2005 David Malcolm <dmalcolm@redhat.com> - 1.0.4-2
- updated sources

* Mon Feb 21 2005 David Malcolm <dmalcolm@redhat.com> - 1.0.4-1
- Update from upstream stable release 1.0.2 to 1.0.4
- Add run-time requirements on libgnomeui, libgnome
- Add build-time requirements on libgnomeui-devel, libgnome-devel, bison, libtool
- Removed patch for x86_64 build; this is now in upstream tarball
- Updated localization code from evolution-data-server-1.5.mo to evolution-data-server-1.0.mo, to match change in upstream tarball

* Wed Oct 20 2004 David Malcolm <dmalcolm@redhat.com> - 1.0.2-3
- added workaround for a backend leak that causes the "contacts" calendar 
backend to hold open an EBook for the local contacts (filed upstream at:
http://bugzilla.ximian.com/show_bug.cgi?id=68533 ); this was causing e-d-s to
never lose its last addressbook, and hence never quit.  We workaround this by
detecting this condition and exiting when it occurs, fixing bug #134851 and #134849.

* Tue Oct 12 2004 David Malcolm <dmalcolm@redhat.com> - 1.0.2-2
- added patch to fix build on x86_64 (had multiple definitions of mutex code in libdb/dbinc.mutex.h)

* Tue Oct 12 2004 David Malcolm <dmalcolm@redhat.com> - 1.0.2-1
- update from 1.0.1 to 1.0.2
- increased libsoup requirement to 2.2.1 to match configuration script

* Tue Sep 28 2004 David Malcolm <dmalcolm@redhat.com> - 1.0.1-1
- update from 1.0.0 to 1.0.1
- removed patch that fixed warnings in calendar code (now in upstream tarball)

* Mon Sep 20 2004 David Malcolm <dmalcolm@redhat.com> - 1.0.0-2
- fixed various warnings in the calendar code 
  (filed upstream here: http://bugzilla.ximian.com/show_bug.cgi?id=66383)

* Tue Sep 14 2004 David Malcolm <dmalcolm@redhat.com> - 1.0.0-1
- update from 0.0.99 to 1.0.0
- changed path in FTP source location from 0.0 to 1.0

* Tue Aug 31 2004 David Malcolm <dmalcolm@redhat.com> - 0.0.99-1
- update from 0.0.98 to 0.0.99
- increased libsoup requirement to 2.2.0 to match configuration script

* Mon Aug 16 2004 David Malcolm <dmalcolm@redhat.com> - 0.0.98-1
- updated tarball from 0.0.97 to 0.0.98; updated required libsoup version to 2.1.13

* Thu Aug  5 2004 Warren Togami <wtogami@redhat.com> - 0.0.97-2
- pkgconfig -devel Requires libbonobo-devel, libgnome-devel

* Wed Aug  4 2004 David Malcolm <dmalcolm@redhat.com> - 0.0.97-1
- upgraded to 0.0.97; rewrote the package's description

* Mon Jul 26 2004 David Malcolm <dmalcolm@redhat.com>
- rebuilt

* Tue Jul 20 2004 David Malcolm <dmalcolm@redhat.com> - 0.0.96-2
- added version numbers to the BuildRequires test for libsoup-devel and ORBit2-devel

* Tue Jul 20 2004 David Malcolm <dmalcolm@redhat.com> - 0.0.96-1
- 0.0.96; libsoup required is now 2.1.12

* Thu Jul  8 2004 David Malcolm <dmalcolm@redhat.com>
- rebuilt

* Wed Jul  7 2004 David Malcolm <dmalcolm@redhat.com>
- rebuilt

* Tue Jul  6 2004 David Malcolm <dmalcolm@redhat.com> - 0.0.95-1
- 0.0.95

* Thu Jun 17 2004 David Malcolm <dmalcolm@redhat.com> - 0.0.94.1-1
- 0.0.94.1

* Mon Jun  7 2004 David Malcolm <dmalcolm@redhat.com> - 0.0.94-2
- rebuilt

* Mon Jun  7 2004 David Malcolm <dmalcolm@redhat.com> - 0.0.94-1
- 0.0.94

* Wed May 26 2004 David Malcolm <dmalcolm@redhat.com> - 0.0.93-4
- added ORBit2 requirement

* Fri May 21 2004 David Malcolm <dmalcolm@redhat.com> - 0.0.93-3
- rebuild again

* Fri May 21 2004 David Malcolm <dmalcolm@redhat.com> - 0.0.93-2
- rebuilt

* Thu May 20 2004 David Malcolm <dmalcolm@redhat.com> - 0.0.93-1
- 0.0.93; libsoup required is now 2.1.10

* Wed Apr 21 2004 David Malcolm <dmalcolm@redhat.com> - 0.0.92-1
- Update to 0.0.92; added a define and a requirement on the libsoup version

* Wed Mar 10 2004 Jeremy Katz <katzj@redhat.com> - 0.0.90-1
- 0.0.90

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jan 26 2004 Jeremy Katz <katzj@redhat.com> - 0.0.6-1
- 0.0.6

* Wed Jan 21 2004 Jeremy Katz <katzj@redhat.com> - 0.0.5-2
- better fix by using system libtool

* Mon Jan 19 2004 Jeremy Katz <katzj@redhat.com> 0.0.5-1
- add some libdb linkage to make the build on x86_64 happy

* Wed Jan 14 2004 Jeremy Katz <katzj@redhat.com> 0.0.5-0
- update to 0.0.5

* Sat Jan  3 2004 Jeremy Katz <katzj@redhat.com> 0.0.4-0
- Initial build.
